package sampleapp

func (s *SampleApp) InitRoutes() {

	// Customer routes
	cc := &CustomerHandlers{s.CustomerSVC}
	s.router.Methods("GET").Path("/customer/{id}").HandlerFunc(LogHandler(cc.GetCustomer))
	s.router.Methods("POST").Path("/customer").HandlerFunc(LogHandler(cc.PostCustomer))

	// Prepare handlers and middleware
	s.router.HandleFunc("/", LogHandler(nil))

}
